#!/bin/sh
#---------------------------------------------------------------------------
# /usr/local/mybin/dynodns.sh - Dynamic hostname configuration
# See http://www.dynodns.net
# written by Thomas Mueller <opt-dyndns@s2h.cx>
# last modified: 2001-06-16 twm
#----------------------------------------------------------------------------

echo "Setting up dynamic hostname ..."

SUBDOMAIN=`cat /var/run/dyndns.subdomain`
DYNDOMAIN=`cat /var/run/dyndns.dyndomain`
SECRET=`cat /var/run/dyndns.secret`

(echo "GET /pr/updatens.cgi HTTP/1.1"
 echo "Host: dynodns.net"
 echo "Authorization: Basic $SECRET"
 echo "User-Agent: opt_dyndns/0.1.5 me@null.net"
 echo "" ) | /usr/local/bin/netcat dynodns.net 80

echo ""
echo "done"

exit 0
